apr-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From wr...@apache.org
Subject svn commit: r835658 - in /apr/apr/trunk: build.conf build/buildcheck.sh configure.in
Date Fri, 13 Nov 2009 00:27:10 GMT
Author: wrowe
Date: Fri Nov 13 00:27:10 2009
New Revision: 835658

URL: http://svn.apache.org/viewvc?rev=835658&view=rev
Log:
bump to 2.59 baseline for autoconf (it -was- 5 yrs old, this year)

Modified:
    apr/apr/trunk/build.conf
    apr/apr/trunk/build/buildcheck.sh
    apr/apr/trunk/configure.in

Modified: apr/apr/trunk/build.conf
URL: http://svn.apache.org/viewvc/apr/apr/trunk/build.conf?rev=835658&r1=835657&r2=835658&view=diff
==============================================================================
--- apr/apr/trunk/build.conf (original)
+++ apr/apr/trunk/build.conf Fri Nov 13 00:27:10 2009
@@ -39,8 +39,8 @@
   dso file_io locks memory misc mmap network_io poll random
   shmem support threadproc time user atomic
 
-# all the public headers
-headers = include/*.h
+# all the public headers; apr_ldap.h is generated
+headers = include/*.h include/apr_ldap.h
 
 # aplibtool is manually built by the configure process
 # build/aplibtool.c

Modified: apr/apr/trunk/build/buildcheck.sh
URL: http://svn.apache.org/viewvc/apr/apr/trunk/build/buildcheck.sh?rev=835658&r1=835657&r2=835658&view=diff
==============================================================================
--- apr/apr/trunk/build/buildcheck.sh (original)
+++ apr/apr/trunk/build/buildcheck.sh Fri Nov 13 00:27:10 2009
@@ -14,18 +14,18 @@
 echo "buildconf: python version $py_version (ok)"
 fi
 
-# autoconf 2.50 or newer
+# autoconf 2.59 or newer
 ac_version=`${AUTOCONF:-autoconf} --version 2>/dev/null|sed -e 's/^[^0-9]*//;s/[a-z]*
*$//;q'`
 if test -z "$ac_version"; then
 echo "buildconf: autoconf not found."
-echo "           You need autoconf version 2.50 or newer installed"
+echo "           You need autoconf version 2.59 or newer installed"
 echo "           to build APR from SVN."
 exit 1
 fi
 IFS=.; set $ac_version; IFS=' '
-if test "$1" = "2" -a "$2" -lt "50" || test "$1" -lt "2"; then
+if test "$1" = "2" -a "$2" -lt "59" || test "$1" -lt "2"; then
 echo "buildconf: autoconf version $ac_version found."
-echo "           You need autoconf version 2.50 or newer installed"
+echo "           You need autoconf version 2.59 or newer installed"
 echo "           to build APR from SVN."
 exit 1
 else

Modified: apr/apr/trunk/configure.in
URL: http://svn.apache.org/viewvc/apr/apr/trunk/configure.in?rev=835658&r1=835657&r2=835658&view=diff
==============================================================================
--- apr/apr/trunk/configure.in (original)
+++ apr/apr/trunk/configure.in Fri Nov 13 00:27:10 2009
@@ -4,7 +4,7 @@
 dnl Process this file with autoconf to produce a configure script.
 dnl Use ./buildconf to prepare build files and run autoconf for APR.
 
-AC_PREREQ(2.50)
+AC_PREREQ(2.59)
 
 AC_INIT(build/apr_common.m4)
 AC_CONFIG_HEADER(include/arch/unix/apr_private.h)



Mime
View raw message